2026.06.17 - Version 4.0.5
  * Fix - Remove validation for cart total amount less 1 ZAR
  * Fix - Compatibility with Sequential order number

2026.06.10 - Version 4.0.4
  * Fix - Redirection to thank you page for alternative payments

2026.06.02 - Version 4.0.3
  * Enhancement - Added signature validation for webhooks
  * Fix - Prevent Expired webhook from updating order status
  * Fix - Prevent recurring payments from processing multiple times

2026.04.30 - Version 4.0.2
  * Enhancement - Added support for failed recurring payment
  * Fix - Deprecated warnings
  * Fix - Duplicate webhook events

2026.03.13 - Version 4.0.1
  * Enhancement - Improve error logging details

2026.03.10 - Version 4.0.0
  * Enhancement - Simplified Integration with Checkout V2 Hosted payment page
  * Enhancement - Customizable Storefront Branding
  * Enhancement - Subscription Support for COF parameters
  * Enhancement - Flexible Card Management
  * Enhancement - Single Webhook endpoint

2025.05.27 - Version 3.3.7
 * Enhancement - Added MauCas as a new payment method to Consolidated Payments.
 * Enhancement - Showing first 6 payement logos now instead of 4.

2025.05.22 - version 3.3.6
 * Fix - Retry of Subscription payments on initial fail result.

2025.05.05 - version 3.3.5
 * Fix - Retrieve customer IP address.
 * Update - Improved embedded checkout error messages.
 * Update - Compatibility tested with WordPress 6.8

2025.02.27 - version 3.3.4
 * Fix - Removed unwanted spacing in the codebase that caused 400 errors.
 * Enhancement - Added a check to verify if Peach Webhooks have been triggered.
 * Update - Included Order ID in the payload for recurring payments.

2024.12.19 - version 3.3.3
 * Fix - Select correct payment type code for subscription payments

2024.12.11 - version 3.3.2
 * Enhancement - Add Float payment method.
 * Enhancement - Set cookies via JS rather than via WP hooks to ensure "headers already sent" warnings doesn't get triggered.
 * Fix - Retrieving order object on Switch Webhook request.
 * Fix - New PHP notice "_load_textdomain_just_in_time".

2024.11.06 - version 3.3.1
 * Fix - PHP warnings due to undefined variable

2024.11.05 - version 3.3.0
 * Fix - PHP warning when upgrading to latest version of PHP
 * Enhancement - Only load  CSS and JS front-end assets on cart and checkout
 * Enhancement - Update Subscription page. Remove flushing of permalinks and rather display admin notice
 * Fix - Allow for custom "Order IDs" setting when using WooCommerce Sequential Order Numbers Pro plugin
 * Fix - Refund payments using various checkout methods  

2024.09.25 - version 3.2.9
 * Update - Update card payment endpoints

2024.09.05 - version 3.2.8
 * Fix - Order state changes from processing to canceled 
 * Update - Added SameSite attribute relevant custom cookies
 * Enhancement - Improved brand select field display on card payments

2024.07.23 - version 3.2.7
 * Fix - PHP Warning: Cannot modify header information - headers already sent
 * Fix - PHP Warning: Undefined array key "peach-payments"

2024.04.16 - version 3.2.6
 * Enhancement - Increase height on the Embedded Checkout payment form
 * Fix - Prevent webhook from changing transactions from a  processing/completed order state to failed state

2024.04.08 - version 3.2.5
 * Enhancement - Orders with completed status will remain as completed
 * Enhancement - Only display selected payment brands on the Copy and Pay card form
 * Fix - Incorrect redirect on payment complete for Embeddable Checkout form
 * Fix - Format when using the Embeddable Checkout form

2024.03.14 - version 3.2.4
 * Update - Remove Google Analytics Scripts
 * Fix - Default selection on payment options

2024.02.22 - version 3.2.3
 * Update - More descriptive backend setting labels
 * Fix - PHP errors on WC Blocks

2024.02.13 - version 3.2.2
 * Enhancement - Update Card expiry validation logic for CnP
 * Enhancement - Show plugin description on front-end
 * Enhancement - Support for WooCommerce Blocks
 * Enhancement - Added MCB Juice Payment Logo

2023.12.19 - version 3.2.1
 * Fix - Issues with subscription Card widget payments

2023.12.18 - version 3.2.0
 * Fix - Backend vulnerability in ajax call when rolling back versions
 * Fix - Set a default value of the 'Checkout Option Cookie' for new Checkouts 

2023.10.02 - version 3.1.9
 * Enhancement - Plugin description update
 * Enhancement - receipt_page function cookie order check
 * Fix - Redirect when the "More payment methods" option is selected
 * Fix - Backend order error for payment method field
 * Fix - Error on the Standalone Card widget if the Visa and Mastercard logos aren't added to the Consolidated Payment Logo option

2023.06.29 - version 3.1.8
 * Feature - Setting to enable and disable consolidated payment options
 * Feature - Setting to enable and disable the standalone CARD payment option
 * Feature - Setting to remove and add logos displayed on the frontend.
 * Feature - Setting to change label text displayed on consolidated payment options
 * Feature - Added new payment method Capitec Pay
 * Enhancement - Cards stored before version 3.0.0 can now be deleted in subsequent versions.
 * Enhancements - Support for sending payment links via WooCommerce
 * Enhancements - Additional COF parameters
 * Enhancements - Rollback option to version 3.1.7
 * Fix - Auto-selecting the "Pay and Save New Card" option for logged-in users on subscription payments
 * Fix - Issue with stored card expiry data

2023.04.03 - version 3.1.7
 * Enhancements - Remove duplicate links in plugin readme file.
 * Enhancements - Add additional cards on the "My Cards" page.
 * Enhancements - Change/Update card for a subscription order.

2023.02.27 - version 3.1.6
 * Fix - Deployment error. Missing Backend Styling

2023.02.22 - version 3.1.5
 * Fix - Remove special characters from billing fields.
 * Enhancements - Remove duplicate links in plugin readme file.
 * Enhancements - Ability to update plugin description.

2023.01.09 - version 3.1.4
 * Enhancements - WPML string translations.
 * Enhancements - Blink by EMTEL: new supported payment method


2022.12.14 - version 3.1.3
 * Fix - Plugin default title text
 * Fix - Error when deleting stored cards

2022.11.15 - version 3.1.2
 * Enhancements - All Products for WooCommerce Subscriptions plugin support
 * Enhancements - Custom order status support
 * Update - Error Logging
 * Fix - Custom order notes will not be emailed to clients

2022.10.31 - version 3.1.1
 * Enhancements - Billing Address character limit based on new 3DS 2.0 on .JS Widget
 * Fix - Order_id reference fix on hosted payments page webhooks

2022.10.10 - version 3.1.0
 * Enhancements - Checkout for Woo-commerce plugin support
 * Enhancements - Mix basket processing
 * Enhancements - Additional billing parameters to support 3DS 2.0
 * Fix - Webhook handling
 * Fix - SSL handling function

2022.09.02 - version 3.0.9
 * Enhancements - Express Checkout for Woocommerce plugin support
 * Fix - Undefined variable "seqOrderID"
 * Fix - Manual Orders not showing Payment Widgets

2022.08.25 - version 3.0.8
 * Enhancements - Access and secret token validation
 * Enhancements - Update on guests users payment flow
 * Enhancements - Stored card display in the user dashboard
 * Enhancements - Improvements in .JS widget design for stored card payments
 * Enhancements - Check when card items amount is 0
 * Fix - Code conflict causing php errors

2022.08.08 - version 3.0.7
 * Fix - SSL check for PHP7.4
 * Fix - Subscription payments for orders made on older version (v2) of the plugin.
 * Fix - Hosted Payments Page Webhook.
 * Enhancements - Include current Peach Payments plugin version number in API responses.
 * Enhancements - Cards saved on older version of the plugin will now be available.
 * Enhancements - CleanTalk plugin compatibility.

2022.07.25 - version 3.0.6
 * Enhancements - Peach Logs added to WooCommerce

2022.07.20 - version 3.0.5
 * Enhancements - In plugin update message.
 * Update - Webhook Order Status.
 * Update - Conditional display for card payment options.
 * Fix - Incorrect Payment Brand Saved.

2022.07.11 - version 3.0.4
 * Enhancements - Code improvements apon live checkout.

2022.07.08 - version 3.0.3
 * Fix - PHP parse error causing critical error on plugin activation.
 * Fix - Live and Sandbox result codes.

2022.07.07 - version 3.0.1
 * Fix - Theme Conflict - duplicate function names.

2022.07.07 - version 3.0.0
 * Fix - Updated payment method branding and names.
 * Fix - Elementor page builder compatibility.
 * Fix - Support for multi-currency plugins.
 * Fix - Support for Wordpress membership Plugin.
 * Enhancements - Subscription functionality.
 * Enhancements - Ability to do refunds via WordPress backend.
 * Enhancements - Plugin UI and admin re-design.
 * Enhancements - Optimisation for mobile.
 * Enhancements - Code cleanup and better coding standards.
 * Enhancements - WordPress Multi Site Support.
 * Enhancements - Version Rollback Functionality.
 * Enhancements - Support for AutomateWoo plugin.
 * Enhancements - Scrubill plugin compatibility.
 * Enhancements - Support for Woo-commerce eGift Card plugin.
 * Security - Improved way on how card details are stored and used.
 * Security - SSL Checks.

2022.06.15 - version 2.0.14
 * Dev - Security Improvements
 * Dev - Added Support for 'WooCommerce All Products For Subscriptions'
 * Dev - Improved Subscription Support

2022.06.01 - version 2.0.13
 * Fix - Issue with Recurring Subscription Payments

2022.04.29 - version 2.0.12
 * Fix - Missing Images on Checkout

2022.04.14 - version 2.0.11
 * Dev - Added ZeroPay Gateway
 * Dev - Added Payflex Gateway
 * Dev - Added Instant EFT by Peach
 * Fix - Functionality with Subscriptions
 * Fix - Account creation issues for Subscriptions
 * Dev - Updated Check Peach Payment Section and added Peach logo
 * Dev - Improved Security Measures

2022.03.10 - version 2.0.10
 * Fix - Removed Debugging Test Information.
 * Fix - Fixed some spelling errors.

2022.03.07 - version 2.0.9
 * Fix - Wordpress error when scrubill plugin is used.
 * Fix - Elementor page builder error.
 * Fix - No payment option when purchasing once-off products.

2022.02.11 - version 2.0.8
 * New - Back-end option to enable/disable the auto status change to complete when purchasing downloadable/virtual products.
 * Fix - Checkout error when purchasing subscription products.
 * Fix - "Invalid payment requests due to merchantTransactionId" error on payment.
 * Fix - Error when saving API credentials via back-end.

2022.02.11 - version 2.0.7
 * Update - Testes with latest WordPress release.

2022.02.11 - version 2.0.6
 * Fix - Payment options images not displaying on checkout.

2022.02.09 - version 2.0.5
 * Fix - Transaction status not changing for virtual/downloadable products.
 * Fix - use 'entityId' instead of 'authentication.entityId' as parameter when making API calls.
 * Fix - Radio button selection issue when Thrive theme builder is used.
 * Fix - Conflict with Checkout Field Editor.
 * Dev - Allow merchants to select their default Payment methods.

2021.10.29 - version 2.0.4
 * Fix - Transaction status not changing for virtual/downloadable products.
 * Fix - use 'entityId' instead of 'authentication.entityId' as parameter when making API calls.
 * Fix - Radio button selection issue when Thrive theme builder is used.
 * Fix - Conflict with Checkout Field Editor.
 * Dev - Allow merchants to select their default Payment methods.

2021.06.25 - version 2.0.3
 * Dev - General update

2020.12.28 - version 2.0.2
 * Dev - Added support for latest version of wordpress (5.6)

2020.04.01 - version 2.0.1
 * Fix - Default access token in config form

2020.03.30 - version 2.0.0
 * Dev - Integrate Checkout to support checkout payment methods.
 * Dev - Add Webhooks Support.
 * Dev - Add Support of Wordpress 5.4

2019.09.25 - version 1.3.5
 * Dev - Fixed cancellation of successful transactions.

2019.07.22 - version 1.3.4
 * Dev - Security Updates.

2019.05.30 - version 1.3.3
 * Dev - Updated README.

2019.05.13 - version 1.3.2
 * Dev - Fixed php spacing error issue with subscriptions.

2019.05.06 - version 1.3.1
 * Dev - Fixed issue with free subscriptions.

2019.05.02 - version 1.3.0
 * Dev - Updated the payment APIs to newer version.

2018.12.18 - version 1.2.2
 * Dev - Allowed the "<form>" tag in wp_kses_allowed_html. A WordPress > 5.0 update.

2018.11.20 - version 1.2.1
 * Dev - Added in an option to allow Virtual or Downloadable orders to be set to complete.
 * Fix - Fixed the Copy and Pay for Prevailing when using a stored card.

2018.10.03 - version 1.2.0
 * Dev - Refactored code to WordPress Guidelines.

2018.10.01 - version 1.1.4
 * Fix - Removed the hard coded description when not using card storage

2018.09.18 - version 1.1.3
 * Fix - Fixed the Gateway description which shows on checkout.

2018.04.17 version 1.1.2
 * Added in styling to center the CNP response
 * Added in a conditional statement to process_payment_status() to make sure Complete and Processing order are not re checked.

2017.07.21 - version 1.1.1
 * Removed the $order->update_status('completed'); forcing the subscription renewals to automatically complete.

2017.06.15 - version 1.1.0
 * Added in a get_id(),get_customer_id() and a get_item_product() function to help with 2.5 through to 3.0 compatibility.
 * Fixed the missing meta_key "_peach_subscription_payment_method" on subscription orders.
 * Added in the WC logger class and calls to record the payments failures.
 * Added in variable decelerations at the top of each class.
 * Reworked the logic of the process_payment_status() and process_payment() functions.
 * Fixed the redirect for failed payment if a card is decliend on the merchants side.
 * Fixed the Payment Presentation name for subscriptions.  (viewed in the merchant account)

2016.04.07 - version 1.0.11
 * Updated the Copy and Pay form widget.js to V4.

2015.12.15 - version 1.0.10
 * Fixed the Virtual Subscription with a Free trial bug.
 * Fixed the process_post_status() function from calling the get_token_status function twice.
 * Added in support for a "Diners Club" card.

2015.10.14 - version 1.0.8
 * Add WC_Addons_Gateway_Simplify_Commerce_Deprecated
 * Support admin payment method changes
 * Update renewal payments for Subs v2.0
 * Remove meta from resubscribe orders
 * Update order_contains_subscription()
 * Update change failling payment method
 * Add support for multiple subscriptions

2014.06.27 - version 1.0.1
 * Fix - Adds the plugin name to the plugin header data.

2014.06.26 - version 1.0.0
 * First Release
